/*
 * Sample4.java
 * ArrayListの補足
 * データの挿入と削除
 */
import java.util.ArrayList;

public class Sample4 {

	public static void main(String[] args) {
		// TODO 自動生成されたメソッド・スタブ
        // コレクションオブジェクト(ArrayList型)の生成
        // ※コレクションが扱うデータ型としてSampleDataを指定する場合
        ArrayList<SampleData> shiratuyu = new ArrayList<>();


        System.out.println("section1: データの挿入");
        // section1: データの挿入
        // SampleData型のオブジェクトを作成してデータを追加する.
        shiratuyu.add(new SampleData("白露"));
        shiratuyu.add(new SampleData("時雨"));
        shiratuyu.add(new SampleData("村雨"));
        shiratuyu.add(new SampleData("夕立"));
        shiratuyu.add(new SampleData("春雨"));
        shiratuyu.add(new SampleData("涼風"));
        // 要素数を確認する
        System.out.println("要素数は"+shiratuyu.size()+"です.");

        //改行して終了
        System.out.println("");



        System.out.println("section2: データの表示");
        // section2: データの取り出し(for-each文)
        for(SampleData distroyer : shiratuyu){
            System.out.println("白露型 : "+distroyer.getVal());
        }

        //改行して終了
        System.out.println("");



        System.out.println("secction3: データの個別表示");
        // secction3: データの取り出し(要素番号を指定)
        // 要素番号は0から開始
        // 3番艦の村雨を表示
        SampleData ship = shiratuyu.get(2);
        System.out.println("白露型(2): "+ship.getVal());

        //改行して終了
        System.out.println("");



        System.out.println("section4: データの途中挿入");
        // リスト構造の利点が分かる
        // section4: 要素の挿入
        // 4番目と5番目の間に新しい要素を挿入する
        shiratuyu.add(5,new SampleData("五月雨"));


        // 要素数の確認
        System.out.println("現在の要素数は"+shiratuyu.size()+"です.");

        // 全件を表示して確認
        for(SampleData distroyer : shiratuyu){
            System.out.println("白露型 : "+distroyer.getVal());
        }

        //改行して終了
        System.out.println("");



        System.out.println("section5:データの削除");
        // section5: 要素の削除
        // 4番目の要素を取り除く(春雨はアーケード版で実装されていないため)
        shiratuyu.remove(4);


        // 要素数の確認
        System.out.println("現在の要素数は"+shiratuyu.size()+"です.");

        // 全件を表示して確認
        for(SampleData distroyer : shiratuyu){
            System.out.println("白露型 : "+distroyer.getVal());
        }


	}

}
